Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezprestclient.php
Go to the documentation of this file.
1 <?php
12 $def = new ezcPersistentObjectDefinition();
13 $def->table = "ezprest_clients";
14 $def->class = "ezpRestClient";
15
16 $def->idProperty = new ezcPersistentObjectIdProperty;
17 $def->idProperty->columnName = 'id';
18 $def->idProperty->propertyName = 'id';
19 $def->idProperty->generator = new ezcPersistentGeneratorDefinition( 'ezcPersistentSequenceGenerator', array( "sequence" => "ezprest_clients_s" ) );
20
21 $def->properties['name'] = new ezcPersistentObjectProperty;
22 $def->properties['name']->columnName = 'name';
23 $def->properties['name']->propertyName = 'name';
24 $def->properties['name']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING;
25
26 $def->properties['description'] = new ezcPersistentObjectProperty;
27 $def->properties['description']->columnName = 'description';
28 $def->properties['description']->propertyName = 'description';
29 $def->properties['description']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING;
30
31 $def->properties['client_id'] = new ezcPersistentObjectProperty;
32 $def->properties['client_id']->columnName = 'client_id';
33 $def->properties['client_id']->propertyName = 'client_id';
34 $def->properties['client_id']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING;
35
36 $def->properties['client_secret'] = new ezcPersistentObjectProperty;
37 $def->properties['client_secret']->columnName = 'client_secret';
38 $def->properties['client_secret']->propertyName = 'client_secret';
39 $def->properties['client_secret']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING;
40
41 $def->properties['endpoint_uri'] = new ezcPersistentObjectProperty;
42 $def->properties['endpoint_uri']->columnName = 'endpoint_uri';
43 $def->properties['endpoint_uri']->propertyName = 'endpoint_uri';
44 $def->properties['endpoint_uri']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_STRING;
45
46 $def->properties['owner_id'] = new ezcPersistentObjectProperty;
47 $def->properties['owner_id']->columnName = 'owner_id';
48 $def->properties['owner_id']->propertyName = 'owner_id';
49 $def->properties['owner_id']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_INT;
50
51 $def->properties['created'] = new ezcPersistentObjectProperty;
52 $def->properties['created']->columnName = 'created';
53 $def->properties['created']->propertyName = 'created';
54 $def->properties['created']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_INT;
55
56 $def->properties['updated'] = new ezcPersistentObjectProperty;
57 $def->properties['updated']->columnName = 'updated';
58 $def->properties['updated']->propertyName = 'updated';
59 $def->properties['updated']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_INT;
60
61 $def->properties['version'] = new ezcPersistentObjectProperty;
62 $def->properties['version']->columnName = 'version';
63 $def->properties['version']->propertyName = 'version';
64 $def->properties['version']->propertyType = ezcPersistentObjectProperty::PHP_TYPE_INT;
65
66 return $def;
67 ?>
$def
$def
Definition: ezprestclient.php:12
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.